# Public domain
#
# Initialization script for Mail::SpamAssassin.
#
use strict;
use Fcntl;
use Sys::Hostname;
use Mail::SpamAssassin;

chdir('/var/tmp');
$ENV{'HOME'} = '/var/tmp';

our $Assassin = Mail::SpamAssassin->new({
	'debug' => 0,
	'force_ipv4' => 1,
	'dont_copy_prefs' => 0,
	'local_tests_only' => 0});

require Mail::SpamAssassin::DBBasedAddrList;
our $AddrListFactory = Mail::SpamAssassin::DBBasedAddrList->new();
$Assassin->set_persistent_address_list_factory($AddrListFactory);
