/*	Public domain	*/

struct passwd;

extern struct table *Tmailbox, *Tuid, *Tgid, *Trules, *Tlists;

int	 	 LOCAL_OpenDatabases(void);
void		 LOCAL_CloseDatabases(void);
__inline__ void	 LOCAL_ReloadDatabases(void);

int	 LOCAL_Init(void);
void	 LOCAL_Destroy(void);

SF_Ruleset	*LOCAL_GetRulesetByRcpt(char *);
SF_Ruleset	*LOCAL_GetRulesetByName(char *);

int	 LOCAL_GetDefaultRecipientUID(char *, uid_t *, gid_t *);
int	 LOCAL_DeliverToMailbox(SF_Message *, const char *, const char *,
	                        uid_t, gid_t);
int	 LOCAL_DeliverToMaildir(SF_Message *, const char *, const char *,
	                        uid_t, gid_t);
int	 LOCAL_DeliverToAddress(SF_Message *, const char *, uid_t, gid_t);
int	 LOCAL_FeedToPipe(SF_Message *, const char *, const char *,
	                  uid_t, gid_t);

__inline__ int LOCAL_SuspendedUser(struct passwd *);

